Module
Inhalte
Index 🔎︎

# Funktion Timer

Liefert einen Wert zurück, der die vergangene Zeit seit Mitternacht in Sekunden angibt.

Um die Timer-Funktion aufzurufen, müssen Sie zuerst eine Variable mit dem Typ "Long" deklarieren. Ansonsten wird ein Wert des Typs "Date" zurückgegeben.

## Syntax:

    Timer

## Rückgabewert:

Datum

## Beispiel:

    Sub ExampleTimer

    Dim lSec As Long,lMin As Long,lHour As Long

        lSec = Timer

        MsgBox lSec,0,"Sekunden seit Mitternacht"

        lMin = lSec / 60

        lSec = lSec Mod 60

        lHour = lMin / 60

        lMin = lMin Mod 60

        MsgBox Right("00" & lHour , 2) & ":"& Right("00" & lMin , 2) & ":" & Right("00" & lSec , 2) ,0,"Die berechnete Uhrzeit"

    End Sub